#
# spec file for package kdewebdev4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdewebdev4
BuildRequires:  kdesdk4 libkde4-devel libtidy-devel
BuildRequires:  libkdepimlibs4-devel
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
License:        GPLv2 ; GPLv2+
Group:          System/GUI/KDE
Summary:        kdewebdev base package
Url:            http://quanta.sf.net
Version:        4.3.5
Release:        0.1.1
Source0:        kdewebdev-%version.tar.bz2
Patch0:         4_3_BRANCH.diff
Patch1:         executor.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires
Suggests:       kfilereplace
Suggests:       kimagemapeditor
Suggests:       klinkstatus
Suggests:       kommander-runtime
Suggests:       kxsldbg

%description
This package suggests the packages which are built from the kdewebdev
module.



Authors:
--------
    Yacovlev Alexander <korvin@mail.univ.kiev.ua>
    Dmitry Poplavsky <pdima@mail.univ.kiev.ua>
    Eric Laffoon <sequitur@easystreet.com>
    Andras Mantia <amantia@freemail.hu>

%prep
%setup -q -n kdewebdev-%version
%patch0
%patch1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  %create_subdir_filelist -d klinkstatus
  %create_subdir_filelist -d kimagemapeditor
  %create_subdir_filelist -d kfilereplace
  %create_subdir_filelist -d kommander
  %create_subdir_filelist -d kxsldbg
  cd ..
  %create_exclude_filelist
  %suse_update_desktop_file -r klinkstatus Office WebDevelopment
  %suse_update_desktop_file -r kimagemapeditor Office WebDevelopment
  %suse_update_desktop_file -r kfilereplace System      FileManager
  %suse_update_desktop_file -r kxsldbg     Office WebDevelopment
  %kde_post_install
  %if %suse_version > 1020
  %fdupes -s $RPM_BUILD_ROOT
  %endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package -n kfilereplace
License:        GPLv2+
Group:          Productivity/Other
Summary:        Search & Replace Tool
Provides:       kde4-kfilereplace = 4.3.0
Obsoletes:      kde4-kfilereplace < 4.3.0
%kde4_runtime_requires

%description -n kfilereplace
KFileReplace is a batch search and replace tool.



Authors:
--------
    Yacovlev Alexander <korvin@mail.univ.kiev.ua>
    Dmitry Poplavsky <pdima@mail.univ.kiev.ua>
    Eric Laffoon <sequitur@easystreet.com>
    Andras Mantia <amantia@freemail.hu>

%post -n kfilereplace -p /sbin/ldconfig

%postun -n kfilereplace -p /sbin/ldconfig

%files -n kfilereplace -f filelists/kfilereplace
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%_kde4_appsdir/kfilereplacepart

%package -n kimagemapeditor
License:        GPLv2+
Group:          Productivity/Publishing/HTML/Editors
Summary:        HTML Image Map Editor
Provides:       kde4-kimagemapeditor = 4.3.0
Obsoletes:      kde4-kimagemapeditor < 4.3.0
%kde4_runtime_requires

%description -n kimagemapeditor
An HTML Image Map Editor



Authors:
--------
    Yacovlev Alexander <korvin@mail.univ.kiev.ua>
    Dmitry Poplavsky <pdima@mail.univ.kiev.ua>
    Eric Laffoon <sequitur@easystreet.com>
    Andras Mantia <amantia@freemail.hu>

%post -n kimagemapeditor -p /sbin/ldconfig

%postun -n kimagemapeditor -p /sbin/ldconfig

%files -n kimagemapeditor -f filelists/kimagemapeditor
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n klinkstatus
License:        GPLv2+
Group:          Productivity/Publishing/HTML/Tools
Summary:        Link Checker
Provides:       kde4-klinkstatus = 4.3.0
Obsoletes:      kde4-klinkstatus < 4.3.0
%kde4_runtime_requires

%description -n klinkstatus
Validator for links on HTML pages



Authors:
--------
    Yacovlev Alexander <korvin@mail.univ.kiev.ua>
    Dmitry Poplavsky <pdima@mail.univ.kiev.ua>
    Eric Laffoon <sequitur@easystreet.com>
    Andras Mantia <amantia@freemail.hu>

%post -n klinkstatus -p /sbin/ldconfig

%postun -n klinkstatus -p /sbin/ldconfig

%files -n klinkstatus -f filelists/klinkstatus
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%_kde4_appsdir/klinkstatuspart

%package -n kommander-runtime
License:        GPLv2+
Summary:        Runtime for Kommander dialogs and application
Group:          System/GUI/KDE
Provides:       kde4-kommander = 4.3.0
Obsoletes:      kde4-kommander < 4.3.0
Provides:       kommander = 4.3.0
Obsoletes:      kommander < 4.3.0
%kde4_runtime_requires

%description -n kommander-runtime
Kommander is a creator of full main window applications without the
need to use any programming language. This is the runtime to execute
dialogs and application created with the kde3-kommander application.



Authors:
--------
    Marc Britton  <consume@optusnet.com.au>
    Eric Laffoon  <sequitur@kde.org>
    Michal Rudolf <mrudolf@kdewebdev.org>
    Andras Mantia <amantia@kde.org>

%post -n kommander-runtime -p /sbin/ldconfig

%postun -n kommander-runtime -p /sbin/ldconfig

%files -n kommander-runtime -f filelists/kommander
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%package -n kxsldbg
License:        GPLv2+
Summary:        XSLT Debugger
Group:          Productivity/Publishing/HTML/Tools
Provides:       kde4-kxsldbg = 4.3.0
Obsoletes:      kde4-kxsldbg < 4.3.0
%kde4_runtime_requires

%description -n kxsldbg
A KDE KPart Application for xsldbg, an XSLT debugger



Authors:
--------
    Yacovlev Alexander <korvin@mail.univ.kiev.ua>
    Dmitry Poplavsky <pdima@mail.univ.kiev.ua>
    Eric Laffoon <sequitur@easystreet.com>
    Andras Mantia <amantia@freemail.hu>

%files -n kxsldbg -f filelists/kxsldbg
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README
%dir %_kde4_appsdir/kxsldbgpart
%dir %_kde4_appsdir/xsldbg
%{_mandir}/man1/xsldbg.1*
%doc %lang(en) %_kde4_htmldir/en/xsldbg

%files -f filelists/exclude
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.DOC README

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: translation updates
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Thu Aug  6 2009 beineri@opensuse.org
- rename kommander to kommander-runtime (bnc#528709)
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Wed Nov  5 2008 dmueller@suse.de
- add missing runtime requires
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Tue Jul  1 2008 stbinner@suse.de
- fix build
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Tue Mar 11 2008 dmueller@suse.de
- remove depreated %%run_ldconfig
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0 release
* Thu Jan  3 2008 stbinner@suse.de
- update to 3.97.2.svn755992
* Thu Dec 20 2007 stbinner@suse.de
- update to 3.97.1.svn749241
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.0.svn742716
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.0.svn739759
* Wed Nov 21 2007 stbinner@suse.de
- update to 3.96.0.svn738446
* Thu Nov 15 2007 dmueller@suse.de
- update to 3.95.0.svn737281
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.0.svn731649
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720129
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717257
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712063
* Sat Sep  1 2007 stbinner@suse.de
- update to 3.92.0.svn706049
* Thu Aug 23 2007 stbinner@suse.de
- udpate to 3.92.0.svn703920
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700769
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
* Sun Jul 29 2007 stbinner@suse.de
- update to 3.92.0.svn693137
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn685971
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679155, run fdupes
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn672385
* Wed Jun  6 2007 dmueller@suse.de
- update to 3.90.1.svn672385
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668149
* Thu May 24 2007 stbinner@suse.de
- initial package in abuild
